<?php
/**
 * ContactListsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * TextMagic
 *
 * TextMagic REST API
 *
 * OpenAPI spec version: 2
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.7
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Please update the test case below to test the endpoint.
 */

namespace text-magic;

use \text-magic\Configuration;
use \text-magic\ApiException;
use \text-magic\ObjectSerializer;

/**
 * ContactListsApiTest Class Doc Comment
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */
class ContactListsApiTest extends \PHPUnit_Framework_TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for assignContactsToList
     *
     * Assign contacts to the specified list..
     *
     */
    public function testAssignContactsToList()
    {
    }

    /**
     * Test case for clearAndAssignContactsToList
     *
     * Reset list members to the specified contacts..
     *
     */
    public function testClearAndAssignContactsToList()
    {
    }

    /**
     * Test case for createList
     *
     * Create a new list from the submitted data..
     *
     */
    public function testCreateList()
    {
    }

    /**
     * Test case for deleteContactsFromList
     *
     * Unassign contacts from the specified list..
     *
     */
    public function testDeleteContactsFromList()
    {
    }

    /**
     * Test case for deleteList
     *
     * Delete a single list..
     *
     */
    public function testDeleteList()
    {
    }

    /**
     * Test case for deleteListAvatar
     *
     * Delete an avatar for the list..
     *
     */
    public function testDeleteListAvatar()
    {
    }

    /**
     * Test case for deleteListContactsBulk
     *
     * Delete contact from list by given ID(s) or all contacts from list..
     *
     */
    public function testDeleteListContactsBulk()
    {
    }

    /**
     * Test case for deleteListsBulk
     *
     * Delete list by given ID(s) or delete all lists..
     *
     */
    public function testDeleteListsBulk()
    {
    }

    /**
     * Test case for getContactsByListId
     *
     * Fetch user contacts by given group id..
     *
     */
    public function testGetContactsByListId()
    {
    }

    /**
     * Test case for getList
     *
     * Get a single list..
     *
     */
    public function testGetList()
    {
    }

    /**
     * Test case for getListContactsIds
     *
     * Fetch all contacts IDs belonging to the list with ID..
     *
     */
    public function testGetListContactsIds()
    {
    }

    /**
     * Test case for getListsOfContact
     *
     * Return lists which contact belongs to..
     *
     */
    public function testGetListsOfContact()
    {
    }

    /**
     * Test case for getUserLists
     *
     * Get all user lists..
     *
     */
    public function testGetUserLists()
    {
    }

    /**
     * Test case for searchLists
     *
     * Find contact lists by given parameters..
     *
     */
    public function testSearchLists()
    {
    }

    /**
     * Test case for updateList
     *
     * Update existing list..
     *
     */
    public function testUpdateList()
    {
    }

    /**
     * Test case for uploadListAvatar
     *
     * Add an avatar for the list..
     *
     */
    public function testUploadListAvatar()
    {
    }
}
